Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.util
Class ResponseTimeMonitorImpl

    java.lang.Object
      org.springframework.util.ResponseTimeMonitorImpl

All Implemented Interfaces:
  ResponseTimeMonitor

Deprecated. as of Spring 2.5, to be removed in Spring 3.0

    public class ResponseTimeMonitorImpl

extends Object
implements ResponseTimeMonitor

Default implementation of `ResponseTimeMonitor`.

Since:
  November 21, 2000
Author:
  Rod Johnson

Constructor Summary
`ResponseTimeMonitorImpl()` Deprecated.

Method Summary
`int` | `getAccessCount()` Deprecated. Return the number of hits this object has handled.
`int` | `getAverageResponseTimeMillis()` Deprecated. Return the average response time achieved by this object.
`int` | `getBestResponseTimeMillis()` Deprecated. Return the best (lowest) response time achieved by this object.
`Date` | `getLoadDate()` Deprecated. Return the date when this object was loaded.
`long` | `getUptimeMillis()` Deprecated. Return the number of milliseconds since this object was loaded.
`int` | `getWorstResponseTimeMillis()` Deprecated. Return the worst (slowest) response time achieved by this object.
`void` | `recordResponseTime(long responseTimeMillis)` Deprecated. Utility method to record this response time, updating the best and worst response times if necessary.
`String` | `toString()` Deprecated. Return a human-readable string showing the performance data recorded by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResponseTimeMonitorImpl

    public ResponseTimeMonitorImpl()

  Deprecated.

Method Detail

### getLoadDate

    public Date getLoadDate()

  Deprecated.
  Return the date when this object was loaded.

### getAccessCount

    public int getAccessCount()

  Deprecated.
  Return the number of hits this object has handled.

  Specified by:
    `getAccessCount` in interface `ResponseTimeMonitor`

### getUptimeMillis

    public long getUptimeMillis()

  Deprecated.
  Return the number of milliseconds since this object was loaded.

### getAverageResponseTimeMillis

    public int getAverageResponseTimeMillis()

  Deprecated.
  Return the average response time achieved by this object.

  Specified by:
    `getAverageResponseTimeMillis` in interface `ResponseTimeMonitor`

### getBestResponseTimeMillis

    public int getBestResponseTimeMillis()

  Deprecated.
  Return the best (lowest) response time achieved by this object.

  Specified by:
    `getBestResponseTimeMillis` in interface `ResponseTimeMonitor`

### getWorstResponseTimeMillis

    public int getWorstResponseTimeMillis()

  Deprecated.
  Return the worst (slowest) response time achieved by this object.

  Specified by:
    `getWorstResponseTimeMillis` in interface `ResponseTimeMonitor`

### recordResponseTime

    public void recordResponseTime(long responseTimeMillis)

  Deprecated.
  Utility method to record this response time, updating the best and worst response times if necessary.

  Parameters:
    `responseTimeMillis` - the response time of this request

### toString

    public String toString()

  Deprecated.
  Return a human-readable string showing the performance data recorded by this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.